#!/usr/bin/env python3

import socket

HOST = "1.1.1.1"
port_list = [21, 22, 53, 80, 443, 3306, 8443, 8080]
for port in port_list:
    s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    try:
        s.connect((HOST, port))
        print("Port ", port, " is open")
    except Exception:
        print("Port ", port, " is closed")
